<div class="col-md-10 col-lg-8 col-xl-7 mx-auto">
  {% if request.path == '/' %}
  <form action="/logements/" method="post">
    {% else %}
    <form action="" method="post">
      {% endif %}
      {% csrf_token %}
      <div class="form-row">
        <div class="col-sm-8 col-md-9 mb-2 mb-md-0">
          <input name="search" type="search" class="form-control form-control-lg" placeholder="Ville ou code postal">
        </div>
        <div class="col-sm-4 col-md-3">
          {% if request.path == '/' %}
          <button type="submit" class="btn btn-block btn-lg btn-outline-secondary">Chercher</button>
          {% else %}
          <button type="submit" class="btn btn-block btn-lg btn-outline-secondary black">Chercher</button>
          {% endif %}
        </div>
      </div>
    </form>
</div>